from apiflask import HTTPError


class AddInteractionError(HTTPError):
    status_code = 500
    message = 'add interaction failed.'


class InteractionExistedError(HTTPError):
    status_code = 401
    message = '已经提交过，不能再次提交～'


class InteractionTodayBriefNotFound(HTTPError):
    status_code = 404
    message = '找不到用户对应的食物记录'